﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ContactList
{
    public partial class AddContactDialog : Form
    {

        public Contact contact { get; set; }
        public AddContactDialog()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (CheckTextInputs() && stateCombo.SelectedIndex >= 0)
            {
                Address addr = new Address();
                addr.Street = streetBox.Text;
                addr.HouseNumber = (uint)(houseNoUpDown.Value);
                addr.PostCode = postCodeBox.Text;
                addr.Country = stateCombo.SelectedItem.ToString();
                contact = new Contact();
                contact.FirstName = nameBox.Text;
                contact.Surname = surnameBox.Text;
                contact.Phone = phoneBox.Text;
                contact.Address = addr;
            }
            else
            {
                DialogResult = DialogResult.None;
            }
            
        }

        private bool CheckTextInputs()
        {
            return nameBox.Text != "" && surnameBox.Text != "" && phoneBox.Text != "" &&
                 streetBox.Text != "" && postCodeBox.Text != "" && stateCombo.SelectedIndex >= 0;
        }
    }
}
